## indi-nexdome 1.5+20220129131520

=== debian/changelog ===
indi-nexdome (1.5+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 16:48:10 +0000

indi-nexdome (1.5-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Dec 2021 15:05:29 +0100

indi-nexdome (1.5-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 20 Dec 2021 17:05:29 +0000

## indi-nexdome 1.5+20220611130438

=== debian/changelog ===
indi-nexdome (1.5+20220611130438-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 13:04:48 +0000

## indi-nexdome 1.5+20221222183051

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_nexdome CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")

include(GNUInstallDirs)

set(INDI_NEXDOME_VERSION_MAJOR 1)
set(INDI_NEXDOME_VERSION_MINOR 6)

find_package(INDI REQUIRED)
find_package(ZLIB REQUIRED)
find_package(Nova REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_nexdome.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_nexdome.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${NOVA_INCLUDE_DIR})

include(CMakeCommon)

########### NexDome ###########
set(indi_nexdome_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/nex_dome.cpp
   )

add_executable(indi_nexdome ${indi_nexdome_SRCS})

target_link_libraries(indi_nexdome ${INDI_LIBRARIES} ${NOVA_LIBRARIES})

install(TARGETS indi_nexdome RUNTIME DESTINATION bin )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_nexdome.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-nexdome (1.5+20221222183051-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113027)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:33:02 +0200

indi-nexdome (1.5+20221222183051-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.5

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 18:32:09 +0000

=== debian/control ===
Source: indi-nexdome
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libnova-dev
	, zlib1g-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-nexdome
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-nexdome.git

Package: indi-nexdome
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for NexDome
 This package contains an INDI driver for NexDome. NexDome is a 2.4m
 personal observatory dome with optional automation controls.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
